JEE上支援的AEM Forms平台

支援的平台

支援級別

JEE伺服器上的AEM Forms可以使用支援的作業系統、應用程式伺服器、資料庫、資料庫驅動程式、JDK、LDAP伺服器和電子郵件伺服器的任意組合來設定。

本文檔列出了JEE上AEM Forms支援的客戶端和伺服器平台。 Adobe為我們推薦的配置和其他配置提供了若干級別的支援。 該文檔還列出了其他受支援的軟體及其版本、異常、補丁程式定義和第三方軟體補丁程式支援策略。

注意
  • 有關受支援伺服器平台的例外的完整清單,請參見 支援的伺服器平台的異常
  • JEE上的AEM Forms僅支援受支援的作業系統和應用程式的英文、法文、德文和日文版本。

建議的配置

Adobe推薦這些配置,並作為標準軟體維護協定的一部分提供完整或受限的支援:

支援程度 說明
答:支援
Adobe為此配置提供全面支援和維護。 此配置由Adobe的質量保證流程覆蓋。
R:限制支援 Adobe在滿足某些先決條件後提供對此配置的完全支援。 與Adobe企業支援部門聯繫,瞭解先決條件並請求支援。
L:有限支援 Adobe在滿足某些先決條件後為此配置提供全面支援和維護。 並非所有功能在配置上都可用。 與Adobe企業支援部門聯繫,瞭解先決條件並請求支援。

不支援的配置

支援程度 說明
E:預計工作 預計該配置將起作用,沒有相反的報告。
Z:不支援 不支援配置。 Adobe不會對配置是否有效發表任何聲明,也不支援它。
注意

為幫助AEM Forms客戶降低擁有成本、簡化部署體系結構並實現開發堆棧的現代化,Adobe Experience Manager企業平台正從基於應用伺服器的部署轉向基於OSGi的獨立部署。 Adobe繼續支援AEM FormsJEE堆棧,減少基礎設施元件。

隨著6.5版的發佈,不再支援在客戶中使用率最低的基礎架構元件,如下所示:
·IBMDB2資料庫
·IBMAIX和Sun Solaris作業系統

對於新安裝,建議在可行時在現代OSGi堆棧上部署AEM Forms,以利用響應性Adaptive Forms的最新創新,使用表單資料模型實現移動、多通道交互通信和後端資料整合。

我們認識到現有用戶需要繼續在JEE堆棧上部署AEM Forms。 在這些情形中,Adobe需要部署AEM FormsJEE,如本文檔所述。 如果您要升級到AEM6.5Forms,並在上一版的AEM Forms上使用不支援的平台,則可以聯繫Adobe支援以獲取升級到受支援平台的幫助。

Java虛擬機(JVM)

Adobe Experience Manager Forms需要運行Java虛擬機,該虛擬機由Java開發工具包(JDK)分發提供。 Adobe Experience Manager使用以下版本的Java虛擬機運行:

平台

支援程度

支援的修補程式定義

OracleJava™ SE 11(64位)

Z:不支援

Azul Zulu OpenJDK 11 - 64位 Z:不支援

Azul Zulu OpenJDK 8 - 64位 Z:不支援

OracleJava™ SE 8(64位) 答:支援 次要版本和更新
IBM® J9虛擬機(build 2.9, JRE 1.8.0)IBM® JDK SR6-FP26
答:支援 次要版本和更新
IBMJAVA1.8.0_291(內部版8.0.6.30)
答:支援 次要版本和更新
注意
  • 建議從Java供應商跟蹤安全公告,以確保生產環境的安全和安全,並安裝最新的Java更新。
  • JEE上的AEM Forms僅支援生產環境上的64位JVM。

資料庫和CRX持久性

平台

說明

支援程度

檔案系統

資料庫微內核(TAR MK檔案)

支援

MongoDB Enterprise 4.0(不建議使用)

儲存庫微內核

支援

MongoDB Enterprise 4.2

儲存庫微內核

支援

Oracle資料庫12c版本2(12.2.0.1.0)(不建議使用)

儲存庫微內核

支援

Oracle資料庫19c(標準版、 Real Application Clusters(RAC)和企業版) 儲存庫微核 支援

MicrosoftSQL Server 2016(不建議使用)

儲存庫微內核

支援

MicrosoftSQL Server 2019

儲存庫微內核

支援

IBMDB2 11.1(不建議使用) 儲存庫微內核 R:限制支援
MySQL 5.7.35(不建議使用) - R:限制支援
MySQL 8.0.27 - R:限制支援
  • IBMDB2不支援新安裝。 只支援現有客戶升級到AEM6.5Forms。
  • MongoDB是第三方軟體,不包括在許AEM可包中。 有關詳細資訊,請參閱 MongoDB許可策略 的子菜單。
  • 為了充分利用您的部署AEM,Adobe建議授予MongoDB Enterprise版本許可,以便從專業支援中獲益。
  • Adobe客戶服務將幫助確定與MongoDB的使用有關的問AEM題。 有關詳細資訊,請參見 用於Adobe Experience Manager的MongoDB頁
  • 「檔案系統」包括符合POSIX的塊儲存。 這包括網路儲存技術。 請注意,檔案系統效能可能會有所不同,並會影響整體效能。 建議將test與AEM網路/遠程檔案系統結合載入。
  • 僅支援MongoDB儲存引擎WiredTiger。
  • 中不支援MongoDB共用AEM。
  • AEM Forms在JEE上不支援MySQL用於RDBMK持久性。
  • 文檔安全模組不使用內容儲存庫。 這意味著,如果您只使用「文檔安全性」,並且不計畫使用「HTML工作區」、「HTML5」表單或自適應表單,則不要安裝「內容儲存庫」。
  • AEM Forms在JEE上不支援使用MySQL來AEM保存儲存庫(CRX-Repository)。

資料庫驅動程式

資料庫

平台

支援的修補程式定義

MySQL

MySQL Connector/J 5.7

mysql-connector-java-5.1.44-bin.jar(5.1.44版)

隨AEM Forms提供的JEE安裝

MicrosoftSQL Server

Microsoft® SQL Server JDBC驅動程式6.2.1.0(不建議使用)

sqljdbc6.jar

隨AEM Forms提供,安裝JEE。

MicrosoftSQL Server

Microsoft® SQL Server JDBC驅動程式6.2.2.0

sqljdbc6.jar

隨AEM Forms提供,安裝JEE。

MicrosoftSQL Server

Microsoft® SQL Server JDBC驅動程式8.2.2

sqljdbc8.jar

從Microsoft網站下載。

Oracle

Oracle資料庫19.3.0.0.0 JDBC驅動程式

ojdbc8.jar(19.3.0.0.0版)

Oracle網站

應用程式伺服器

平台

支援程度

支援的修補程式定義

OracleWebLogic Server 12.2.1(12c R2) 答:支援 Service Pack和關鍵更新
IBM® WebSphere® Application Server 9.0.0.10 [1] [4]
答:支援 Service Pack和關鍵更新

JBoss®企業應用程式平台(EAP)7.1.4 [2] [3] [7] (不建議使用)

答:支援

支援的EAP版本的修補程式和累積修補程式

JBoss®企業應用程式平台(EAP)7.4 [2] [3] [7]

答:支援

支援的EAP版本的修補程式和累積修補程式

注意

IBM® WebSphere®群集僅在網路部署版中受支援。

伺服器作業系統

生產環境

平台

支援級別

支援的修補程式定義

MicrosoftWindows Server 2019(64位) 答:支援 服務包和關鍵更新
烏班圖20.04 答:支援 服務包和關鍵更新
MicrosoftWindows Server 2016(64位)(不建議使用) 答:支援 服務包和關鍵更新

Red Hat Enterprise Linux 8(內核4.x)(64位)

答:支援

次要版本、累計更新和關鍵更新

Red Hat Enterprise Linux 7(內核3.x)(64位)(不建議使用)

答:支援

次要版本、累計更新和關鍵更新

SUSE® Linux® Enterprise Server 12(64位)

答:支援

服務包、累積補丁程式和關鍵安全更新

OracleLinux® 7 Update 3(64位) 答:支援 服務包、累積補丁程式和關鍵安全更新
CentOS 7(64位) [6] 答:支援 服務包、累積補丁程式和關鍵安全更新

虛擬化環境

您可以在物理機或虛擬環境上的JEE上運行AEM Forms。 但是,如果您在虛擬環境中與AEM Forms發生任何問題,請嘗試在物理機上複製該問題。 如果物理機上仍存在問題,請與Adobe支援聯繫以獲得解決方案。 有關無法在物理電腦上複製的問題,請與虛擬環境供應商聯繫。

開發環境

平台(基本版本)

支援程度

支援的修補程式定義

Microsoft® Windows® 10 64位

E:預計工作

Service Pack和關鍵更新

支援的伺服器平台的異常

在選擇平台以在JEE伺服器上設定AEM Forms時,請考慮以下例外。

  1. AEM Forms在JEE上不支援IBM® WebSphere®和MySQL。
  2. JEE上的AEM Forms不支援SUSE Linux Enterprise Server 12上的JBoss。 SUSE Linux Enterprise Server 12僅支援IBMWebSphere。
  3. AEM FormsJEE不支援任何JDK(除OracleJava™ SE外)使用JBoss®。
  4. AEM Forms在JEE上不支援除IBM® JDK外的任何帶IBM® WebSphere®的JDK。
  5. CRX-repository支援TarMK、MongoDB和關係資料庫(RDBMK)類型的持久性。 應用程式伺服器和CRX-repository之間不能有兩個不同的資料庫系統。 但是,在JEE環境上的AEM Forms上,您可以將MongoMK與CRX-repository一起使用,並將受支援的關係資料庫與應用程式伺服器一起使用。
  6. AEM Forms在JEE上不支援CentOS上的WebSphere應用程式伺服器。
  7. AEM Forms在JEE上不支援基於JBoss角色的訪問控制(RBAC)。

此外,在選擇軟體以AdobeAEM Forms部署JEE時,請考慮以下幾點:

  • JEE上的AEM Forms支援受支援軟體的指定主版本和次版本上的更新、修補程式和修復包。 但是,除非指定,否則不支援更新到下一個主版本或次版本。
  • 基於群集的安裝不支援TarMK持久性。 有關支援的持久性的資訊,請參見 為AEM Forms安裝選擇持久性類型
  • AEM FormsJEE支援各種第三方軟體 第三方軟體支援策略
  • AEM FormsJEE支援第三方供應商提供的平台。 第三方供應商可能不允許某些組合。 例如,許多供應商尚未通過Oracle對其應用程式伺服器進行認證。 因此,AEM Forms在JEE上也不支援這些組合。 為確保您選擇受支援的軟體版本,請檢查第三方供應商的支援清單。
  • AEM Forms在JEE上不支援TarMK冷備用。
  • AEM Forms的JEE不支援垂直聚類。
  • JEE上的AEM Forms不支援群集環境上的MySQL資料庫。
  • 有關已刪除或已更新的平台的清單,請參見 AEM6.5Forms新功能摘要 的子菜單。

LDAP伺服器(可選)

產品(基本版本)

支援的修補程式定義

Microsoft2016 維護版本和修復包

IBM® Tivoli Directory Server 6.4

功能包和臨時修復

電子郵件伺服器(可選)

產品
MicrosoftExchange 2013
Microsoft Office 365

內容管理器和相應的連接器

產品
版本
EMC Documentum 七點三
IBM·菲萊內 5.5.2
IBMContent Manager伺服器(不建議使用) 8.5修復包2
IBMContent Manager客戶端(不建議使用) 八點五
MicrosoftSharepoint 2016(不建議使用)
MicrosoftSharepoint 2019

支援科爾多瓦

AEM Forms應用現在支援Apache Cordova。 以下是支援的特定於平台的Cordova版本:

  • 阿帕奇科爾多瓦6.4.0
  • 科爾多瓦iOS4.3.0
  • 科爾多瓦安卓6.0.0
  • 科爾多瓦Windows 4.4.3

用於PDF發生器的軟體支援

產品

支援的轉換到PDF格式

Acrobat2020年經典賽道 最新版本 XPS,影像格式(BMP,GIF,JPEG,JPG, TIF,TIFF, PNG, JPF, JPX, JP2, J2K, J2C, JPC),HTML, HTM, DWG, DXF和DWF
Acrobat2017年經典賽道 最新版本(不建議使用) XPS,影像格式(BMP,GIF,JPEG,JPG, TIF,TIFF, PNG, JPF, JPX, JP2, J2K, J2C, JPC),HTML, HTM, DWG, DXF和DWF
Microsoft® Office 2019 DOC、DOCX、XLS、XLSX、PPT、PPTX、RTF和TXT
Microsoft® Office 2016(不建議使用) DOC、DOCX、XLS、XLSX、PPT、PPTX、RTF和TXT
WordPerfect 2020
WP,WPD
Microsoft® Office Visio 2019
VSD、VSDX
Microsoft® Office Visio 2016(不建議使用)
VSD、VSDX
Microsoft®發行商2019
酒吧
Microsoft® Publisher 2016(不建議使用)
酒吧
Microsoft2019工程
MPP
Microsoft® Project 2016(不建議使用)
MPP
OpenOffice 4.1.10 ODT、ODP、ODS、ODG、ODF、SXW、SXI、SXD、XLS、XLS、DOC、DOCX、PPT、PPTX、影像格式(BMP、GIF、JPEG、JPG、TIF、PNG、JPF、JPX、JP2、J2K、J2C、JPC)、HTML、HTM、RTF和TXT
OpenOffice 4.1.2(已棄用) ODT、ODP、ODS、ODG、ODF、SXW、SXI、SXD、XLS、XLS、DOC、DOCX、PPT、PPTX、影像格式(BMP、GIF、JPEG、JPG、TIF、PNG、JPF、JPX、JP2、J2K、J2C、JPC)、HTML、HTM、RTF和TXT
注意

PDF生成器僅支援受支援的作業系統和應用程式的英文、法文、德文和日文版本。

此外:

  • PDF生成器需要32位版本 Acrobat2020經典賽道20.004.30006版 或Acrobat2017 17.011.30078版執行轉換。

  • PDF生成器僅支援32位Retail版的MicrosoftOffice Professional Plus和轉換所需的其他軟體。

  • PDF生成器不支援MicrosoftOffice 365。

  • OpenOffice的PDF生成器轉換僅在Windows和Linux上受支援。

  • OCRPDF、Optimize PDF和Export PDF功能僅在Windows上受支援。

  • Acrobat版本與AEM Forms捆綁,以啟用PDF生成器功能。 捆綁版本只應在AEM Forms許可證期間通過AEM Forms以寫程式方式訪問,以便與AEM FormsPDF生成器一起使用。 有關詳細資訊,請參閱按部署的AEM Forms產品說明(內部部署Managed Services)"

  • PDF生成器服務不支援MicrosoftWindows 10。

輔助功能支援例外

以下AEM Forms子系統不是 508 符合:

  • 自適應Forms創作UI
  • Forms經理創作UI
  • 通信管理創作UI
  • 管理UI(管理控制台UI)

AEM Forms對JEE的系統要求

最低硬體要求

平台 最低硬體要求
MicrosoftWindows伺服器 英特爾®至強® E5-2680,2.4 GHz處理器或等效處理器
VMWare ESX 5.1或更高版本
記憶體:6 GB(64位作業系統,帶64位JVM)
可用磁碟空間:15GB的臨時空間加22GB
AEM Forms的JEE
SUSE Linux Enterprise Server 英特爾至強E5-2670v2,1 vCPU,2.5 GHz處理器
AWSM3.medium(3個ECU)
記憶體:6 GB(64位作業系統,帶64位JVM)
可用磁碟空間:6 GB的臨時空間加22 GB
AEM Forms的JEE
Red Hat Enterprise Linux 英特爾至強E5-2670v2,1 vCPU,2.5 GHz處理器
AWSM3.medium(3個ECU)
記憶體:6 GB(64位作業系統,帶64位JVM)
可用磁碟空間:6 GB的臨時空間加22 GB
AEM Forms的JEE
小型生產環境的硬體要求
  • 英特爾支援的環境:英特爾®至強® E5-2680,2.4 GHz或更高。 使用雙核處理器將進一步提高效能
  • 記憶體: 4 GB

有關其他要求,請參閱:

在JEE上為AEM Forms提供支援的客戶端

Workbench

平台

支援的修補程式定義

Microsoft® Windows® 10(企業版、專業版、基本版)

32位或64位版本

服務包和關鍵更新
Microsoft® Windows® 2016伺服器 服務包和關鍵更新
  • 安裝的磁碟空間:僅Workbench為1.7 GB,Workbench、Designer和示例程式集的單個驅動器上為2.7 GB,用於完全安裝Workbench、Designer和示例程式集,400 MB用於臨時安裝目錄 — 200 MB用於用戶臨時目錄,200 MB。 如果所有這些位置都位於單個驅動器上,則安裝期間必須有1.5 GB的可用空間。 安裝完成後,將刪除複製到臨時目錄的檔案。

  • 運行Workbench的記憶體:2 GB記憶體

  • 硬體要求:英特爾®奔騰® 4或AMD等效處理器,1 GHz處理器

  • 16位或更高顏色的顯示器解析度至少為1024 X 768像素或更高

  • TCP/IPv4或TCP/IPv6網路連接到JEE伺服器上的AEM Forms

  • 您必須具有管理權限才能在Windows上安裝Workbench。 如果您使用非管理員帳戶進行安裝,安裝程式將提示您輸入相應帳戶的憑據。

Designer

  • Microsoft® Windows® 2016伺服器、Microsoft® Windows® 2019伺服器或Microsoft® Windows® 10
  • 1 GHz或更快的處理器,支援PAE、NX和SSE2。
  • 1 GB RAM(用於32位)或2 GB RAM(用於64位作業系統)
  • 16 GB磁碟空間用於32位或20 GB磁碟空間用於64位作業系統
  • 圖形記憶體 — 128 MB的GPU(建議256 MB)
  • 2.35 GB的可用硬碟空間
  • 1024 X 768像素或更高的顯示器解析度
  • 視頻硬體加速(可選)
  • Acrobat Pro DC,Acrobat Standard DC或Adobe Acrobat Reader DC。
  • 安裝設計器的管理權限。

Adobe Acrobat和Adobe Reader

Acrobat和Adobe Reader(基地)

支援的修補程式定義

Acrobat2020(經典賽道) 20.004.30006版或更高版本
Acrobat2017(經典曲目)(不建議使用) 17.011.30078版或更高版本
注意

Acrobat DC產品系列為Acrobat和Reader引入了兩種本質上不同的產品:"經典"和"連續" 有關詳細資訊和兩個軌道的比較,請參見 https://www.adobe.com/go/acrobatdctracks。

瀏覽器

台式機

瀏覽器(基本)

支援級別

支援的修補程式定義

Microsoft邊(長青)

答:支援

服務包和更新

Mozilla Firefox(Evergreen)

答:支援

所有更新
Mozilla Firefox ESR E:預計工作 所有更新

Google克羅姆語(長青)

答:支援

所有更新
GoogleChrome和MACOS X上的Firefox 答:支援

所有更新
Apple野生動物園11.x 答:支援 所有更新
Apple野生動物園12.x

答:支援 所有更新
注意

某些與瀏覽器相關的台式機例外如下:

  • 僅Macintosh OS X支援Safari。
  • Workspace支援Macintosh OS X 10.6和10.7上的Safari 5.1(含Acrobat DC或更高版本)。 有關Safari 5.1與AcrobatAdobe Reader的相容性的詳細資訊,請參見 https://helpx.adobe.com/tw/x-productkb/multi/safari-5-1-incompatible-reader.html
  • Safari不支援管理控制台。
  • Tergementage Management不支援Windows® Internet Explorer 9.0 for AEM 6.1表單。
  • Forms門戶支援Internet Explorer 11上的JAWS 14.0螢幕閱讀器軟體,用於輔助功能。

移動客戶端

瀏覽器(基本)

支援的修補程式定義

Android™ 4.1.2及以上版本上的Chrome

所有更新

iOS15.1及以上 所有更新
Microsoft邊
所有更新
Android™ 4.4及更高版本上的Native Andriod瀏覽器 所有更新
注意
  • Forms門戶僅在iPad的Safari上受支援。

AEM Forms應用

移動設備支援

AEM Forms應用可在以下平台上使用:

平台 支援的設備
AppleiOS AppleiPhone,iPad,iPad航空和iPad迷你跑iOS15.1及以上
Google安卓 Android 5.1及更高版本。 AEM Forms的app通過7英吋和10英吋三星Galaxy平板電腦和流行智慧手機的認證。
Microsoft窗 Microsoft運行MicrosoftWindows 10作業系統的Surface設備、平板電腦、筆記型電腦和台式機。

AdobeMicrosoft辦事處檔案安全擴展

按一下 這裡 查看Microsoft® OfficeAdobe文檔安全擴展的系統要求。

客戶端支援的異常

JEE上的AEM Forms支援受支援軟體的指定主版本和次版本上的更新、修補程式和修復包。 但是,除非指定,否則不支援更新到下一個主版本或次版本。

第三方修補程式支援策略

AEM FormsJEE的第三方軟體要求記錄在其各自產品文檔的「系統要求」部分。 所有文檔都可以從 https://adobe.com/go/learn_aemforms_documentation_65_tw_tw

AEM Forms在JEE的第三方參考平台上說明了在開發和發佈JEE上的AEM Forms時當前的第三方基礎架構的特定補丁程式級別,以及該版本的AEM Forms在JEE上支援的基礎架構的最低補丁程式/服務包級別。

Adobe支援第三方供應商在其發佈時發佈的緊急或建議的修補程式,前提是第三方供應商保證向後相容AEM Forms在JEE上支援的版本。 Adobe將僅支援在AEM FormsJEE文檔中規定的最低修補程式級別之後發佈的修補程式。

在某些情況下,Adobe不支援更改主要功能的第三方更新,因此不支援完全向後相容。 有關支援的更新的詳細資訊,請參見 支援的修補程式定義 針對特定供應商產品和Adobe支援的修補程式類型。

在Adobe無法控制的情況下,聲稱向後相容的第三方補丁程式可能會對Adobe產品或客戶環境產生負面影響。 在這種情況下,Adobe建議客戶在將任何緊急補丁程式應用於關鍵系統之前,先評估第三方的任何緊急補丁程式的影響。 Adobe將與第三方合作,通過合理的業務努力解決此類問題,或通過正常的Adobe支援計畫,或通過第三方在他們的區域內糾正該問題。 這不能保證新發佈的受Adobe支援的第三方修補程式將按照供應商或AEM Forms在JEE上的記錄運行。

Adobe保留在任何給定時刻更改AEM Forms在JEE版本上支援的第三方參考平台及其支援的修補程式定義的權利。

通過搜索Adobe企業支援站點以查找與您的產品相關的知識庫文章,還可以找到有關第三方補丁程式的其他資訊。

平台更新

2022年6月2日AEM Forms6.5.13.0版將以下平台標籤為不建議使用:

  • MicrosoftSharePoint2016

2022年3月3日AEM Forms6.5.12.0版將以下平台標籤為不建議使用:

  • MongoDB Enterprise 4.0
  • IBMDB2 11.1
  • Oracle資料庫12c版本2
  • MySQL 5.7.35
  • Microsoft® SQL Server JDBC驅動程式6.2.1.0
  • JBoss®企業應用程式平台(EAP)7.1.4
  • IBMContent Manager Server 8.5修復包2
  • IBMContent Manager客戶端8.5
  • MicrosoftSQL Server 2016

2021年9月7日AEM Forms6.5.10.0版將以下平台標籤為不建議使用:

修訂歷史記錄

  • 2022年3月3日

    • 已刪除對以下內容的支援:
      • IBM® J9虛擬機(build 2.8, JRE 1.8.0)
      • Oracle資料庫12c版本1
      • Oracle資料庫18c
      • Oracle統一目錄(OUD)11g版本2
      • IBM蓮達樂9.0
      • IBMFilenet 5.2
      • AdobeFlash Player
  • 2021年10月10日

    • 已將AEM Forms應用支援的iOS版更改為iOS15.1。以前的版本是iOS12
  • 2021年9月7日

    • 平台更新: Adobe Experience Manager Forms on JEE增加了對以下平台的支援:

      • Adobe Acrobat 2020
      • Ubuntu 20.04
      • Open Office 4.1.10
      • Microsoft Office 2019
      • Microsoft Windows Server 2019
      • RHEL8
    • 2020年9月9日

      • 已將AEM Forms應用支援的iOS版更改為iOS12。 以前的版本是iOS11

本頁內容